Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.groovydoc
[Java] Interface GroovyAnnotationRef

    public interface GroovyAnnotationRef

Method Summary
`java.lang.String` | `description()` The string representation of the annotation reference.
`java.lang.String` | `name()` Name of the annotation being referenced.
`GroovyClassDoc` | `type()` The annotation being referenced.

Method Detail

### description

    public java.lang.String description()

  The string representation of the annotation reference. Initially implemented as a temporary hack stored from the source. To be replaced with strong-typed finer grained information.
  Returns:
    the text representation of the annotation ref

### name

    public java.lang.String name()

  Name of the annotation being referenced. Once resolved, equates to `type().typeName()`.
  Returns:
    the name of the annotation reference

### type

    public GroovyClassDoc type()

  The annotation being referenced.
  Returns:
    the annotation being referenced

Groovy Documentation